require "sketchup"
def self.toggleExtensions
  @t = Time.now
  opts = Sketchup.active_model.rendering_options
  len = opts["LineExtension"]
  state = opts["ExtendLines"]
  if @l
    if @t - @l < 0.3
      opts["ExtendLines"] = true
      ret = inputbox ["New Length:"], [len], "Change Extension Length" 
      return unless ret
      opts["LineExtension"] = ret[0]
      return
    end
  end
  opts["ExtendLines"] = ! state
  @l = @t
end

@cmd = UI::Command.new("Extensions") { toggleExtensions }
@cmd.tooltip = "Display Extensions"
@cmd.status_bar_text  = "Display Extensions"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["ExtendLines"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
